<template>
  <div class="quiz-survey-answer">
    <!-- Type Quiz 1 -->
    <div class="row pt-5 correct-answer-game" v-if="typeAnswer === 'quiz-1'">
      <div class="col col-12 col-lg-3">
        <p class="fw-bold title-text">Correct answer</p>
      </div>
      <div class="col col-12 col-lg-9 skiptranslate">
        <div class="row">
          <div class="col col-12 col-lg-6 position-relative mb-3 mb-lg-0 d-flex align-items-center">
            <input
              type="radio"
              name="quiz-1"
              class="form-check-input"
              id="input-answer-1"
              value="x"
              :checked="correctAnswer == 'x'"
              @change="updateCorrectAnswer($event)"
            />
            <label for="input-answer-1" class="form-label ms-3">
              <div class="bg-primary rounded fw-bolder d-flex align-items-center justify-content-center text-light">
                X
              </div>
            </label>
          </div>
          <div class="col col-12 col-lg-6 position-relative d-flex align-items-center">
            <input
              type="radio"
              name="quiz-1"
              class="form-check-input"
              id="input-answer-2"
              value="o"
              :checked="correctAnswer == 'o'"
              @change="updateCorrectAnswer($event)"
            />
            <label for="input-answer-2" class="form-label ms-3">
              <div class="bg-warning rounded fw-bolder d-flex align-items-center justify-content-center text-light">
                O
              </div>
            </label>
          </div>
        </div>
      </div>
    </div>
    <!-- End Type Quiz 1 -->

    <!-- Correct Answer Quiz -->
    <div class="row pt-5 correct-answer-game survey-game" v-if="typeAnswer === 'quiz-2'">
      <div class="col col-12 col-lg-3">
        <p class="fw-bold title-text">Correct answer</p>
      </div>
      <div class="col col-12 col-lg-9">
        <div class="row">
          <div
            class="col col-12 col-lg-6 position-relative d-flex align-items-center mb-3"
            v-for="item in 4"
            :key="item"
          >
            <input
              type="radio"
              name="cr-answer"
              class="form-check-input"
              :id="`correct-answer-${item}`"
              :value="item"
              :checked="correctAnswer == item"
              @change="updateCorrectAnswer($event)"
            />
            <label :for="`correct-answer-${item}`" class="form-label ms-3 mb-0 fw-bolder">
              {{ item }}
            </label>
          </div>
        </div>
      </div>
    </div>
    <!-- End Correct Answer Quiz -->

    <!-- Correct Answer Survey -->
    <div class="row pt-5 correct-answer-game survey-game" v-else-if="typeAnswer && typeAnswer.includes('survey')">
      <div class="col col-12 col-lg-3">
        <p class="fw-bold title-text">Correct answer</p>
      </div>
      <div class="col col-12 col-lg-9">
        <div class="row" :class="typeAnswer">
          <div
            class="col col-12 col-lg-6 position-relative d-flex align-items-center mb-3"
            v-for="item in 4"
            :key="item"
          >
            <input
              type="radio"
              name="cr-answer"
              class="form-check-input"
              :id="`correct-answer-${idProp}-${item}`"
              :value="item"
              :checked="correctAnswer == item"
              @change="updateCorrectAnswer($event)"
            />
            <label :for="`correct-answer-${idProp}-${item}`" class="form-label ms-3 mb-0 fw-bolder">
              {{ item }}
            </label>
          </div>
        </div>
      </div>
    </div>
    <!-- End Correct Answer Survey -->

    <!-- <div class="row pt-5 answer-game" v-if="typeAnswer === 'quiz-3'">
      <div class="col col-12 col-lg-3">
        <p class="fw-bold title-text">Quiz answer</p>
      </div>
      <div class="col col-12 col-lg-9">
        <textarea name="game-content" id="game-content" cols="30" rows="4" class="form-control"></textarea>
      </div>
      <div class="col col-12 d-flex justify-content-end pt-3">
        <button class="btn btn-danger rounded-pill">Submit</button>
      </div>
    </div> -->
  </div>
</template>

<script>
export default {
  props: {
    typeAnswer: String,
    correctAnswer: String,
    idProp: Number
  },
  computed: {
    nameCompute() {
      return this.typeAnswer && this.typeAnswer.includes("quiz") ? "Quiz" : "Survey";
    }
  },
  methods: {
    updateCorrectAnswer(e) {
      this.$emit("update-correct-answer", e.target.value);
    }
  }
};
</script>

<style scoped>
.quiz-survey-answer > .row {
  width: 100%;
  margin-left: 0;
}
.correct-answer-game label > div,
.answer-game label > div {
  height: 38px;
  width: 38px;
}

.correct-answer-game .title-text,
.answer-game .title-text {
  font-size: 22px;
}
.correct-answer-game input,
.correct-answer-game textarea,
.answer-game input,
.answer-game textarea {
  border: 3px solid #d6d6d7;
  border-radius: 22px;
}
.answer-game input {
  height: 60px;
}
.answer-game label[for="input-answer"] div {
  background: #bbb;
}
.answer-game label[for="input-answer"] {
  top: 50%;
  left: 32px;
  transform: translateY(-50%);
}
.answer-game input {
  padding-left: 62px;
}

.correct-answer-game.survey-game label {
  font-size: 32px;
}
.survey-1 > .col:nth-child(n + 3) {
  display: none !important;
}
.survey-2 > .col:nth-child(4) {
  display: none !important;
}
</style>
